Bug 31098 - Taking snapshot takes too long
Summary: Taking snapshot takes too long
Status: VERIFIED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: General (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Rodrigo Moya
URL:
Depends on:
Blocks:
 
Reported: 2015-06-14 20:29 UTC by david
Modified: 2015-09-04 13:50 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description david 2015-06-14 20:29:53 UTC
I have a small app that I'm profiling. It uses the Dataflow extensions on the TPL to do some multi-threaded work.
Taking a snapshot using the memory profiler takes several minutes to get data into the snapshot window. Total run-time of the app is about 10s, but the snapshot system takes much longer than that to return its results. This means it's completely impossible to get meaningful memory progression data as the app runs.
Comment 1 Rodrigo Moya 2015-08-25 08:31:50 UTC
With the recent performance improvements (which will be in 0.21 release), this works much much better, so closing.
Comment 2 Udham Singh 2015-09-04 13:50:55 UTC
We have checked this issue with profiler-mac-0.21-0 and observed that this issue is working fine at our end. Hence I am closing this issue.

Screencast : http://www.screencast.com/t/QkZVoK7l
Environment Info : https://gist.github.com/Udham1/839e1f1dc25e64718ab4

@David : Could you please check this issue with latest profiler build and please feel free to reopen this issue if you are still getting this issue. 

Thanks!